/******************************************************************************
**
** $Header: geometry.h,v 1.4 92/07/08 11:47:59 fxt Exp $
**
**
** $Log:	geometry.h,v $
 * Revision 1.4  92/07/08  11:47:59  11:47:59  fxt (Filippo Tampieri)
 * *** empty log message ***
 * 
 * Revision 1.3  92/07/02  21:36:22  21:36:22  fxt (Filippo Tampieri)
 * *** empty log message ***
 * 
 * Revision 1.2  92/04/23  14:57:31  14:57:31  fxt (Filippo Tampieri)
 * *** empty log message ***
 * 
 * Revision 1.1  91/06/04  15:48:42  15:48:42  fxt (Filippo Tampieri)
 * Initial revision
 * 
 * Revision 1.1  91/03/28  12:46:52  12:46:52  fxt (Filippo Tampieri)
 * Initial revision
 * 
**
******************************************************************************/

#ifndef GEOMETRY_H
#define GEOMETRY_H

#include <common.h>
#include <geom.h>

#include <vector2d.h>
#include <vector3d.h>
#include <vector4d.h>

#include <matrix3x3.h>
#include <matrix4x4.h>

extern Vector3d operator*(const Vector3d&, const Matrix3x3&);
extern Vector3d operator*(const Matrix3x3&, const Vector3d&);

extern Vector4d operator*(const Vector4d&, const Matrix4x4&);
extern Vector4d operator*(const Matrix4x4&, const Vector4d&);

#endif

