//============================================================================
//
//		callbacks.h
//
//			Every function prototype here is for a callback related
//			to the (X windows) user interface.
//
//			Callbacks are of the form:
//
//				callback_name( widget, client_data, call_data );
//
//			Jonathan Shade
//
//============================================================================

#ifndef _CALLBACKS_H
#define _CALLBACKS_H

#include <Xm/Xm.h>

//
//		These are shared for all windows
// 
void	expose_callback( Widget, XtPointer, XtPointer );
void	resize_callback( Widget, XtPointer, XtPointer );
void	update_render( Widget, XtPointer, XtPointer );

//
//		Some buttons in the manip window pull down menu
//
void	exit_cb  ( Widget, XtPointer, XtPointer );


#endif



