
//============================================================================
//
// Bspline.h
//
//============================================================================

#ifndef _Bspline_h
#define _Bspline_h

class Bspline
	{
	public:

		 Bspline( float *cp, int ncp, int dims=1 );
		 Bspline( char  *filename );
		~Bspline( void );

		int		get_dim ();
		int		get_numControlPoints();

		float	get_cp	( int i, int dim );

		float	eval	( float param, int dim=0 );
		float	eval_tan( float param, int dim=0 );

		void	eval	( float param, float *results);
		void	eval_tan( float param, float *results );

		void	dump( void );
		void	write( char *filename );

	private:

		int    _dims;
		int    _ncp;
		float *_cp;
		int    _len;
		int    _nseg;

	protected:
};


#endif // _Bspline_h
