//============================================================================
//
//		animate.h
//
//
//			Jonathan Shade
//
//============================================================================

#ifndef _ANIMATE_H
#define _ANIMATE_H

#include <Xm/Xm.h>
#include "state.h"

void	animate_init			( AppState & app_state );

void	animate_read_curve		( Widget, XtPointer, XtPointer );
void	animate_choose_preview	( Widget, XtPointer, XtPointer );
void	animate_choose_geometry	( Widget, XtPointer, XtPointer );
void	animate_choose_image	( Widget, XtPointer, XtPointer );
void	animate_choose_record	( Widget, XtPointer, XtPointer );
void	animate_print_camera	( Widget, XtPointer, XtPointer );
void	animate_reset_cam		( Widget, XtPointer, XtPointer );
void	animate_start			( Widget, XtPointer, XtPointer );
void	animate_stop			( Widget, XtPointer, XtPointer );

void	animate_start_batch( uiRenderWindow *ren_win );

Boolean	animate_render			( XtPointer );

#endif

