#include <stdio.h>
#include "Vector3d.h"

void main()
{
const double *d_ptr;
double d[3] = { 5.0, 5.0, 5.0 };
Vector3d v( 0.0, 0.0, 0.0);
Vector3d u( d ); 
Vector3d w;


	fprintf(stderr,"\n");

	fprintf(stderr,"Array init     u, should be 5.0 5.0 5.0:\t"); u.print();

	v.setValue( d );
	fprintf(stderr,"setValue array v, should be 5.0 5.0 5.0:\t"); v.print();
	
	v.setValue( 1.0, 1.0, 1.0 );
	fprintf(stderr,"setValue 3-way v, should be 1.0 1.0 1.0:\t"); v.print();

	fprintf(stderr,"Default init   w, should be 0.0 0.0 0.0:\t"); w.print();

	fprintf(stderr,"\n");

	v *= 2.0;
	fprintf(stderr,"v *= 2.0:\t"); v.print();

	v /= 0.25;
	fprintf(stderr,"v /= 0.25:\t"); v.print();

	v += u;
	fprintf(stderr,"v += u:\t\t"); v.print();

	v /= 13.0;
	fprintf(stderr,"v /= 13.0:\t"); v.print();

	u -= v;
	fprintf(stderr,"u -= v:\t\t"); u.print();

	v *= u;
	fprintf(stderr,"v *= u:\t\t"); v.print();

	w = v/2.0;
	fprintf(stderr,"w = v / 2.0:\t"); w.print();

	w = -u;
	fprintf(stderr,"w = -u:\t\t"); w.print();

	w = w - -u;
	fprintf(stderr,"w = w - -u:\t"); w.print();

	w = v * u;
	fprintf(stderr,"w = v * u:\t"); w.print();

	w = v * 3.0;
	fprintf(stderr,"w = v * 3.0:\t"); w.print();

	w = 1.5 * u;
	fprintf(stderr,"w = 1.5 * u:\t"); w.print();

	w = v / 2.0;
	fprintf(stderr,"w = v / 2.0:\t"); w.print();

	w = u + v;
	fprintf(stderr,"w = u + v:\t"); w.print();


	v.getValue( d[0], d[1], d[2] );
	fprintf(stderr,"\n\nGetvalue 3-way,   v:\t%6.2f %6.2f %6.2f\n",
				d[0],d[1],d[2] );

	d_ptr = w.getValue();
	fprintf(stderr,    "Getvalue pointer, w:\t%6.2f %6.2f %6.2f\n",
				d_ptr[0],d_ptr[1],d_ptr[2] );

 
	fprintf(stderr,    "             [] , u:\t%6.2f %6.2f %6.2f\n",
				u[0], u[1], u[2] );

	fprintf(stderr,"\n\n");

	fprintf(stderr,"u negate:\t"); u.negate(); u.print();
	fprintf(stderr,"u length:\t%6.2f\n",u.length() );
	fprintf(stderr,"u normalize:\t%6.2f , ",u.normalize() ); u.print();

	fprintf(stderr,"\n\n");
 
	u.setValue( 1.0, 0.0, 0.0 );
	v.setValue( 0.0, 1.0, 0.0 );
	w.setValue( 0.0, 0.0, 1.0 );

	Vector3d z( 1.0, 1.0, 0.0 ); z.normalize();

	fprintf(stderr,"u:\t");  u.print();
	fprintf(stderr,"v:\t");  v.print();
	fprintf(stderr,"w:\t");  w.print();
	fprintf(stderr,"z:\t");  z.print();
	
	fprintf(stderr,"\n\n");
	
	fprintf(stderr,"u dot v: %6.2f\n", u.dot(v) );
	fprintf(stderr,"u dot w: %6.2f\n", u.dot(w) );
	fprintf(stderr,"v dot w: %6.2f\n", v.dot(w) );

	fprintf(stderr,"\n");

	fprintf(stderr,"z dot u: %6.2f\n", z.dot(u) );
	
	fprintf(stderr,"\n");

	fprintf(stderr,"v dot u: %6.2f\n", v.dot(u) );
	fprintf(stderr,"w dot u: %6.2f\n", w.dot(u) );
	fprintf(stderr,"w dot v: %6.2f\n", w.dot(v) );

	fprintf(stderr,"\n\n");

	z = u.cross( v );
	fprintf(stderr,"u cross v:\t"); z.print();

	z = v.cross(w);
	fprintf(stderr,"v cross w:\t"); z.print();

	z = w.cross(u);
	fprintf(stderr,"w cross u:\t"); z.print();
	
	fprintf(stderr,"\n");

	z = v.cross( u );
	fprintf(stderr,"v cross u:\t"); z.print();

	z = w.cross(v);
	fprintf(stderr,"w cross v:\t"); z.print();

	z = u.cross(w);
	fprintf(stderr,"u cross w:\t"); z.print();
		
	
	return;
}




