#include <object.h>

void main()
{
	Object::Angles = 2;
	Object obj("flower1.off"), *opos, *oneg;

	// split object using the x = 1 plane:
	obj.split(Plane(1,0,0,0), oneg, opos);
	if (opos) {
		opos->writeGeom();
		delete opos;
	}
	if (oneg) {
		oneg->writeGeom();
		delete oneg;
	}
}


#if (0)
#include "array.h"
void main()
{
	InfArray<int> array(4);

	array[0] = 2;
	array[2] = 4;
	array[3] = 8;
	array[6] = 16;
	cout << array << endl;

	InfArray<char*> charray;
	charray[0] = "Hello";
	charray[1] = "world!";
	cout << charray << endl;
}
#endif

#if (0)
#include <iostream.h>
#include "list.h"

void print(int i)
{
	cerr << i << " ";
}

void main()
{
	List<int> intlist;

	intlist.push(1);
	intlist.push(2);
	intlist.push(3);

	cerr << "Head is " << intlist.head() << endl;
	cerr << "Tail is " << intlist.tail() << endl;
	int mid = intlist.pop();
	mid = intlist.pop();
	cerr << "Middle is " << mid << endl;
	intlist.append(mid);
	cerr << endl;
	cerr << "Head is " << intlist.head() << endl;
	cerr << "Tail is " << intlist.tail() << endl;
	intlist.append(3);

	ListIterator<int> i(intlist);
	cerr << endl << i() << ' ' << i() << ' ' << i() << ' ' << i() << endl;

	i.reset();
	while (i.next(mid))
		cerr << mid << ' ';
	cerr << endl;

	cerr << endl;
	intlist.apply(print);
	cerr << endl;

	intlist.sort();
}
#endif
