//============================================================================
//
//	Scene.h
//
//		Jonathan Shade
//
//============================================================================

#ifndef SCENE_H
#define SCENE_H

#include <Camera.h>
#include <ui.h>

void	scene_Draw_Compute (Widget , Display *, int *, void * );
void	scene_Measure_Geometry( Widget w, Display *dpy, Camera * camera );
void	scene_Measure_Texturing( Widget w, Display *dpy, Camera * camera );
void	scene_Init_DB( int window_id );
void	scene_Init_GL( uiRenderWindow* ren_win );


#endif
