//============================================================================
//
//		Quat.h
//
//	
//			Jonathan Shade
//
//============================================================================

#ifndef _QUAT_H
#define _QUAT_H

#include "Geometry.h"

class	Quat
	{
	public:

			Quat();
			~Quat();

			void		normalize();
			void		mult( Quat qL, Quat qR );
			Matrix4d	toMatrix();
			void		fromVectorAngle( Vector3d v, double angle );

			double	w;		//	scalar
			double	x;		//	i
			double	y;		//	j
			double	z;		//	k

	};

#endif


