//============================================================================
//
//	Scene.h
//
//		Jonathan Shade
//
//============================================================================

#ifndef SCENE_H
#define SCENE_H

#include "ui.h"
#include "Camera.h"

void	scene_Draw_Preview	(Widget , Display *, int *, void *);
void	scene_Draw_Geom		(Widget , Display *, int *, void *);
void	scene_Draw_Image	(Widget , Display *, int *, void *);
void	scene_Draw_SkyCam	(Widget , Display *, int *, void *);
void	scene_Draw_SideCam	(Widget , Display *, int *, void *);

void	scene_Init_DB( char *db_filename, int window_id );

void	scene_Init_Camera( void * );

void	scene_Init_GL( uiRenderWindow *ren_win );


#endif
