//
//	CC -o test_plane test_plane.c Plane.o Vector3d.o -lm
//

#include <stdio.h>
#include "Geometry.h"

void
main()
{
double	dist;
Plane	plane;
Point3d	p,q,r;

	p.setValue( 1,2,-3 );
	plane.setValue( 2, -3, 4, -5 );
	
	plane.print();

	dist = plane.distanceTo( p );
	fprintf(stderr,"%f\n",dist);

	plane.setValue( 1, 0, 1, 0 );
	p.setValue( 10, 10, -9 );
	dist = plane.distanceTo( p );
	fprintf(stderr,"%f\n", plane.distanceTo(p) );
	fprintf(stderr,"%d\n", plane.isInFront(p) );
	fprintf(stderr,"%d\n", plane.isBehind(p) );

	return;
}

