//============================================================================
//
//		timing.c  :  
//
//			Jonathan Shade
//
//
//============================================================================

#include "timing.h"

long	calc_usec_time( Timer timer )
	{
	long	sec,usec;

	sec = timer.end.tv_sec - timer.start.tv_sec;

	if( sec > 1 )
		usec = sec * ONE_MIL;
	else
		usec = 0;

	if( sec == 0 )
		usec += timer.end.tv_usec - timer.start.tv_usec;
	else
		usec += timer.end.tv_usec + ONE_MIL-timer.start.tv_usec;

	return( usec );
	}
