//============================================================================
//
//		timing.h  :  
//
//			Jonathan Shade
//
//
//============================================================================

#ifndef _TIMING_H
#define _TIMING_H

#include <unistd.h>
#include <sys/types.h>
#include <sys/time.h>

#define ONE_MIL 1000000

#define START_TIMER(x) (gettimeofday(&x.start,&x.zone))
#define STOP_TIMER(x)  (gettimeofday(&x.end,&x.zone))
#define RESET_TIMER(x) x.start.tv_sec=0;x.start.tv_usec=0;x.end.tv_sec=0;x.end.tv_usec=0;

typedef struct
	{
	struct timeval	start;
	struct timeval	end;
	struct timezone zone;
	} Timer;

long	calc_usec_time( Timer ); 


#endif
